<nav id="main-container-sidebar" class="d-flex flex-column">
  <div class="pt-2 pb-2 d-flex flex-row"
       (click)="toggleSidebar()"
       id="toggle-button">
    <span class="button-icon d-flex flex-row w-100">
      <i class="fa-solid fa-bars ps-12 pe-12" aria-hidden="true"></i>
    </span>
  </div>
  <div id="links-wrapper"
       class="d-flex flex-column"
       [@slideInOut]="collapsed">
    <div class="accordion accordion-flush" id="accordionFlushExampleSidebar">
      <div id="One"
           class="accordion-item projet">
        <h2 class="accordion-header" id="flush-headingOne">
          <button (click)="toggleSidebarAccordion()"
                  class="accordion-button sidebar-link collapsed p-0 pt-2 pb-2 pe-1"
                  type="button"
                  data-bs-toggle="collapse"
                  aria-expanded="false"
                  [attr.data-bs-target]="'#flush-collapseOne'"
                  [attr.aria-controls]="'flush-collapseOne'">
            <i (click)="navigateTo('dashboard')" class="button-icon fa-solid fa-table-cells-large ps-12 pe-12" aria-hidden="true"></i>
            <div class="container-fluid d-flex flex-row justify-content-between align-items-center p-0">
              <span (click)="navigateTo('dashboard')" class="nav-label pe-3 ps-2">Dashboard</span>
              <app-add-projet-popup-sidebar *ngIf="user?.role?.id == 1"></app-add-projet-popup-sidebar>
            </div>
          </button>
        </h2>
        <div id="flush-collapseOne"
             class="accordion-collapse collapse"
             [attr.aria-labelledby]="'flush-headingOne'"
             data-bs-parent="#accordionFlushExample">
          <div class="accordion-body">

          </div>
        </div>
      </div>
      <div *ngFor="let projet of projets; index as index"
           id="{{ projet.id }}"
           class="accordion-item projet">
        <h2 *ngIf="!projet.archive" class="accordion-header" id="flush-heading-sidebar{{ projet.id}}">
          <button (click)="toggleSidebarAccordion()"
                  class="accordion-button sidebar-link collapsed p-0 pt-2 pb-2 pe-1"
                  type="button"
                  data-bs-toggle="collapse"
                  aria-expanded="false"
                  [attr.data-bs-target]="'#flush-collapse-sidebar' + projet.id "
                  [attr.aria-controls]="'flush-collapse-sidebar' + projet.id ">
            <i (click)="navigateTo('projet', projet)" class="button-icon fa-solid fa-folder ps-12 pe-12" aria-hidden="true"></i>
            <div class="container-fluid d-flex flex-row justify-content-between align-items-center p-0">
              <span class="nav-label p-0 pe-3 ps-2">{{ projet.nom }}</span>
              <app-add-plan-popup-sidebar *ngIf="user?.role?.id == 1 || user?.role?.id == 2 || user?.role?.id == 3"></app-add-plan-popup-sidebar>
            </div>
          </button>
        </h2>
        <div id="flush-collapse-sidebar{{ projet.id }}"
             class="accordion-collapse collapse"
             [attr.aria-labelledby]="'flush-heading-sidebar' + projet.id "
             data-bs-parent="#accordionFlushExampleSidebar">
          <div class="accordion-body">
            <div class="accordion accordion-flush" id="accordionFlushExample1">
              <div *ngFor="let plan of projet.testPlans; index as index "
                    id="plan{{ plan.id }}"
                    class="accordion-item plan" >
                <h2 *ngIf="!plan.archive" class="accordion-header" id="flush-headingPlan{{ plan.id }}">
                  <button class="accordion-button sidebar-link collapsed p-0 pt-2 pb-2 pe-1 ps-4"
                          type="button"
                          data-bs-toggle="collapse"
                          aria-expanded="false"
                          [attr.data-bs-target]="'#flush-collapsePlan' + plan.id"
                          [attr.aria-controls]="'flush-collapsePlan' + plan.id">
                    <i (click)="navigateTo('plan', plan)" aria-hidden="true" class="button-icon fa-solid fa-list-check ms-4 ps-12 pe-12"></i>
                    <div class="container-fluid d-flex flex-row justify-content-between align-items-center p-0">
                      <span class="nav-label p-0 pe-3">{{ plan.nom }}</span>
                    </div>
                  </button>
                </h2>
                <div id="flush-collapsePlan{{ plan.id }}"
                     class="accordion-collapse collapse"
                     [attr.aria-labelledby]="'flush-headingPlan' + plan.id"
                     data-bs-parent="#accordionFlushExample1">
                  <div class="accordion-body">
                    <div class="accordion accordion-flush" id="accordionFlushExample2">
                      <div *ngFor="let groupe of plan.groupeFonctionnalites; index as index "
                           class="accordion-item groupe">
                        <h2 *ngIf="!groupe.archive" class="accordion-header" id="flush-heading{{ groupe.id }}">
                          <button class="accordion-button sidebar-link collapsed  pt-2 pb-2 ps-8"
                                  type="button"
                                  data-bs-toggle="collapse"
                                  aria-expanded="false"
                                  [attr.data-bs-target]="'#flush-collapseGroupe' + groupe.id"
                                  [attr.aria-controls]="'flush-collapseGroupe' + groupe.id">
                            <i (click)="navigateTo('groupe', groupe)" aria-hidden="true" class="button-icon fa-solid fa-diagram-project ms-5 ps-12 pe-12"></i>
                            <div class="container-fluid d-flex flex-row justify-content-between align-items-center p-0">
                              <span class="nav-label p-0 pe-3">{{ groupe.nom }}</span>
                            </div>
                          </button>
                        </h2>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</nav>















